Skip to content

Delete a webhook endpoint

DELETE
/v1/webhook-endpoints/{id}
curl --request DELETE \
--url https://api.inboxcnx.com/v1/webhook-endpoints/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

Deletes a webhook endpoint so it receives no further events. Its open deliveries are cancelled.

Requires the write:webhooks scope.

id
required
string format: uuid

Deleted

The credential lacks the write:webhooks scope

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Example generated

{
"error": {
"code": "example",
"message": "example"
}
}

No such endpoint for the caller’s application

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string

Example generated

{
"error": {
"code": "example",
"message": "example"
}
}